### Method

# Foundry LlmConversation send_messages

#### Declaration [src]

    DexFuture*
    foundry_llm_conversation_send_messages (
      FoundryLlmConversation* self,
      const char* const* roles,
      const char* const* messages
    )

#### Description [src]

Send multiple messages together.

The length of `roles` must be the same as `messages`.

#### Parameters

`roles`

  Type: `const char* const*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`messages`

  Type: `const char* const*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.